Skip to main content
GET
/
api
/
intelligence
/
v1
/
get-country-intel-brief
GetCountryIntelBrief
curl --request GET \
  --url https://api.example.com/api/intelligence/v1/get-country-intel-brief
{
  "countryCode": "<string>",
  "countryName": "<string>",
  "brief": "<string>",
  "model": "<string>",
  "generatedAt": 123
}

Query Parameters

country_code
string

ISO 3166-1 alpha-2 country code.

Response

Successful response

GetCountryIntelBriefResponse contains an AI-generated intelligence brief for a country.

countryCode
string

ISO 3166-1 alpha-2 country code.

countryName
string

Country name.

brief
string

AI-generated intelligence brief text.

model
string

AI model used for generation.

generatedAt
integer<int64>

Brief generation time, as Unix epoch milliseconds.. Warning: Values > 2^53 may lose precision in JavaScript